<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>celPlayer Class Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">celPlayer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="celPlayer" -->
<p>General information on a player.  
 <a href="classcelPlayer.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="nettypes_8h_source.html">physicallayer/nettypes.h</a>&gt;</code></p>

<p><a href="classcelPlayer-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelPlayer.html#aec44e212713818dbc96110753da2b2af">hostname</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The hostname of the player if available.  <a href="#aec44e212713818dbc96110753da2b2af"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga33a5e996e7a90acefb8b1c0bea47e365">uint8</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelPlayer.html#a4dcd83e821a7e6d9f8d6214e4432e583">ip_address</a> [32]</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The IP address of the game/player, large enough to hold IPv6 address.  <a href="#a4dcd83e821a7e6d9f8d6214e4432e583"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelPlayer.html#a5459b82d64e51492096744336f204041">player_id</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The ID of the player.  <a href="#a5459b82d64e51492096744336f204041"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelPlayer.html#a6d84ed9b5c9a1986a8a9f96941c6d7a3">player_name</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The name of the player.  <a href="#a6d84ed9b5c9a1986a8a9f96941c6d7a3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gac2a9e79eb120216f855626495b7bd18a">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelPlayer.html#a437c0e87e7e8e84b0ea36aab4636d5fb">port_nb</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The port number of the player.  <a href="#a437c0e87e7e8e84b0ea36aab4636d5fb"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>General information on a player. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00234">234</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aec44e212713818dbc96110753da2b2af"></a><!-- doxytag: member="celPlayer::hostname" ref="aec44e212713818dbc96110753da2b2af" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a> <a class="el" href="classcelPlayer.html#aec44e212713818dbc96110753da2b2af">celPlayer::hostname</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The hostname of the player if available. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00246">246</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4dcd83e821a7e6d9f8d6214e4432e583"></a><!-- doxytag: member="celPlayer::ip_address" ref="a4dcd83e821a7e6d9f8d6214e4432e583" args="[32]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga33a5e996e7a90acefb8b1c0bea47e365">uint8</a> <a class="el" href="classcelPlayer.html#a4dcd83e821a7e6d9f8d6214e4432e583">celPlayer::ip_address</a>[32]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The IP address of the game/player, large enough to hold IPv6 address. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00249">249</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5459b82d64e51492096744336f204041"></a><!-- doxytag: member="celPlayer::player_id" ref="a5459b82d64e51492096744336f204041" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gacbd4acd0d29e2d6c43104827f77d9cd2">uint32</a> <a class="el" href="classcelPlayer.html#a5459b82d64e51492096744336f204041">celPlayer::player_id</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The ID of the player. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00240">240</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6d84ed9b5c9a1986a8a9f96941c6d7a3"></a><!-- doxytag: member="celPlayer::player_name" ref="a6d84ed9b5c9a1986a8a9f96941c6d7a3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a> <a class="el" href="classcelPlayer.html#a6d84ed9b5c9a1986a8a9f96941c6d7a3">celPlayer::player_name</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The name of the player. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00243">243</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>

</div>
</div>
<a class="anchor" id="a437c0e87e7e8e84b0ea36aab4636d5fb"></a><!-- doxytag: member="celPlayer::port_nb" ref="a437c0e87e7e8e84b0ea36aab4636d5fb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gac2a9e79eb120216f855626495b7bd18a">uint16</a> <a class="el" href="classcelPlayer.html#a437c0e87e7e8e84b0ea36aab4636d5fb">celPlayer::port_nb</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The port number of the player. </p>

<p>Definition at line <a class="el" href="nettypes_8h_source.html#l00252">252</a> of file <a class="el" href="nettypes_8h_source.html">nettypes.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>physicallayer/<a class="el" href="nettypes_8h_source.html">nettypes.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
